<template>
  <div class="pagination">
    <button
      :class="{ disable: !previousPage }"
      @click="getTableData(previousPage), getPageNumber('prev')"
    >
      Prev
    </button>
    <span>{{ pageNumber }}</span>
    <button
      :class="{ disable: !nextPage }"
      @click="getTableData(nextPage), getPageNumber('next')"
    >
      Next
    </button>
  </div>
</template>
<script>
export default {
  props: {
    nextPage: String,
    previousPage: String,
    getTableData: Function,
    getPageNumber: Function,
    pageNumber: Number,
  },
};
</script>
